=== debian/changelog ===
guitarix (0.47.0+dfsg-0.1~mx25+1) mx; urgency=medium

  * New upstream version 0.47.0+dfsg
  * Since the ladspa package is removed, also remove mentions of it in 
    descriptions.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 03 Sep 2025 19:11:56 -0700
